class ListNode {
	
	int value;
	ListNode next;
	
	ListNode(int x) {
		
		value = x;
		next = null;
	}
	
}

public class LinkedList {

	private ListNode header;
	
	public LinkedList() {
		
		header = null;
	}
	
	public boolean contains(int x) {
		
		return isExist(header, x);
	}
	
	boolean isExist(ListNode n, int x) {
		
		if (n == null) return false;
		if (n.value == x) return true;
		else return isExist(n.next, x);
	}
	
	public void insert(ListNode x) {
		
		if (header == null) header = x;
		else {
			ListNode current = header;
			while (current.next != null)
				current = current.next;
			current.next = x;
		}
	}
	
	public static void ok() {
		
		while (true) {}
	}
	
	public static void main (String[] args) {
		
		LinkedList l = new LinkedList();
		l.insert(new ListNode(1));
		l.insert(new ListNode(2));
		l.insert(new ListNode(3));
		
		assert(l.contains(1));
		ok();
	}
}
