class Isq {
	
	static int simpleSqrt(int n) {
		
		int x = 1;
		
		while ((x * x) <= n)
			x++;
		return (x - 1);
	}
	
	static int integerSqrt(int n) {
		
		int x = 0;
		int y = n;
		int d = 0;
		
		while (x != y) {
			d = (y - x + 1)/2;
			if (((x + d) * (x + d)) <= n)
				x = x + d;
			else
				y = y - d;
		}
		return x;
	}
	
	static void ok() {
		
		while (true) {}
	}
	
	public static void main(String[] args) {
		
		int n = Integer.parseInt(args[0]);
		int x = integerSqrt(n);
		int y = simpleSqrt(n);
		
		assert(x == y);
		ok();
	}
}
